AssetsOperations Class

Warning

DO NOT instantiate this class directly.

Instead, you should access the following operations through

AzureMediaServices's

<xref:assets> attribute.

Inheritance
builtins.object
AssetsOperations

Constructor

AssetsOperations(*args, **kwargs)

Methods

create_or_update

Create or update an Asset.

Creates or updates an Asset in the Media Services account.

delete

Delete an Asset.

Deletes an Asset in the Media Services account.

get

Get an Asset.

Get the details of an Asset in the Media Services account.

get_encryption_key

Gets the Asset storage key.

Gets the Asset storage encryption keys used to decrypt content created by version 2 of the Media Services API.

list

List Assets.

List Assets in the Media Services account with optional filtering and ordering.

list_container_sas

List the Asset URLs.

Lists storage container URLs with shared access signatures (SAS) for uploading and downloading Asset content. The signatures are derived from the storage account keys.

list_streaming_locators

List Streaming Locators.

Lists Streaming Locators which are associated with this asset.

update

Update an Asset.

Updates an existing Asset in the Media Services account.

create_or_update

Create or update an Asset.

Creates or updates an Asset in the Media Services account.

async create_or_update(resource_group_name: str, account_name: str, asset_name: str, parameters: azure.mgmt.media.models._models_py3.Asset, **kwargs: Any) -> azure.mgmt.media.models._models_py3.Asset

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

asset_name
str
Required

The Asset name.

parameters
Asset
Required

The request parameters.

cls
callable

A custom type or function that will be passed the direct response

Returns

Asset, or the result of cls(response)

Return type

Exceptions

delete

Delete an Asset.

Deletes an Asset in the Media Services account.

async delete(resource_group_name: str, account_name: str, asset_name: str, **kwargs: Any) -> None

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

asset_name
str
Required

The Asset name.

cls
callable

A custom type or function that will be passed the direct response

Returns

None, or the result of cls(response)

Return type

Exceptions

get

Get an Asset.

Get the details of an Asset in the Media Services account.

async get(resource_group_name: str, account_name: str, asset_name: str, **kwargs: Any) -> azure.mgmt.media.models._models_py3.Asset

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

asset_name
str
Required

The Asset name.

cls
callable

A custom type or function that will be passed the direct response

Returns

Asset, or the result of cls(response)

Return type

Exceptions

get_encryption_key

Gets the Asset storage key.

Gets the Asset storage encryption keys used to decrypt content created by version 2 of the Media Services API.

async get_encryption_key(resource_group_name: str, account_name: str, asset_name: str, **kwargs: Any) -> azure.mgmt.media.models._models_py3.StorageEncryptedAssetDecryptionData

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

asset_name
str
Required

The Asset name.

cls
callable

A custom type or function that will be passed the direct response

Returns

StorageEncryptedAssetDecryptionData, or the result of cls(response)

Return type

Exceptions

list

List Assets.

List Assets in the Media Services account with optional filtering and ordering.

list(resource_group_name: str, account_name: str, filter: Optional[str] = None, top: Optional[int] = None, orderby: Optional[str] = None, **kwargs: Any) -> AsyncIterable[azure.mgmt.media.models._models_py3.AssetCollection]

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

filter
str
Required

Restricts the set of items returned. Default value is None.

top
int
Required

Specifies a non-negative integer n that limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified value n. Default value is None.

orderby
str
Required

Specifies the key by which the result collection should be ordered. Default value is None.

cls
callable

A custom type or function that will be passed the direct response

Returns

An iterator like instance of either AssetCollection or the result of cls(response)

Return type

Exceptions

list_container_sas

List the Asset URLs.

Lists storage container URLs with shared access signatures (SAS) for uploading and downloading Asset content. The signatures are derived from the storage account keys.

async list_container_sas(resource_group_name: str, account_name: str, asset_name: str, parameters: azure.mgmt.media.models._models_py3.ListContainerSasInput, **kwargs: Any) -> azure.mgmt.media.models._models_py3.AssetContainerSas

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

asset_name
str
Required

The Asset name.

parameters
ListContainerSasInput
Required

The request parameters.

cls
callable

A custom type or function that will be passed the direct response

Returns

AssetContainerSas, or the result of cls(response)

Return type

Exceptions

list_streaming_locators

List Streaming Locators.

Lists Streaming Locators which are associated with this asset.

async list_streaming_locators(resource_group_name: str, account_name: str, asset_name: str, **kwargs: Any) -> azure.mgmt.media.models._models_py3.ListStreamingLocatorsResponse

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

asset_name
str
Required

The Asset name.

cls
callable

A custom type or function that will be passed the direct response

Returns

ListStreamingLocatorsResponse, or the result of cls(response)

Return type

Exceptions

update

Update an Asset.

Updates an existing Asset in the Media Services account.

async update(resource_group_name: str, account_name: str, asset_name: str, parameters: azure.mgmt.media.models._models_py3.Asset, **kwargs: Any) -> azure.mgmt.media.models._models_py3.Asset

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

asset_name
str
Required

The Asset name.

parameters
Asset
Required

The request parameters.

cls
callable

A custom type or function that will be passed the direct response

Returns

Asset, or the result of cls(response)

Return type

Exceptions

Attributes

models

models = <module 'azure.mgmt.media.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\media\\models\\__init__.py'>